package com.kym.admin.controller;

import com.kym.common.R;
import com.kym.common.annotation.SysLog;
import com.kym.entity.queryParams.SystemLogQueryParam;
import com.kym.service.SystemLogService;
import cn.dev33.satoken.annotation.SaIgnore;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 系统操作日志表 前端控制器
 * </p>
 *
 * @author skyline
 * @since 2023-07-10
 */
@RestController
@RequestMapping("/systemLog")
public class SystemLogController {

    private final SystemLogService systemLogService;

    public SystemLogController(SystemLogService systemLogService) {
        this.systemLogService = systemLogService;
    }

    @SysLog("查询操作日志列表")
    @SaIgnore
    @GetMapping("/list")
    R<?> list(SystemLogQueryParam params) {
        return R.success(systemLogService.listSystemLog(params));
    }

    @SysLog("清空操作日志")
    @PostMapping("/clear")
    R<?> clear() {
        systemLogService.clearLog();
        return R.success();
    }
}
